/*
	demoflod.c

	jmd 6/89

	Copyright (c) 1989, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	This program demonstrates loading a sed from a screen file.

	It loads the sed named "test" from the screen file "test.lnf"

	You must generate this file with the DEMOFSAV example program
	before using this.
*/

#include <stdio.h>
#include <cscape.h>
#include <sfile.h>

/* function symbol table */

fsyminit_struct my_list[] = {

{FSYM_CLASS},
{"sedwin_Class",	(VOID_FPTR)	sedwin_Class	,  NULL },

{FSYM_FIELDFUNCS },
{"string_funcs", FNULL, (VOID *) &string_funcs},

{FSYM_USER },

{FSYM_BORDER },
{"bd_box", (VOID_FPTR) bd_box, NULL},

{FSYM_MOUSE },
{FSYM_MOVEMETHOD },
{FSYM_EXPLODE },
{FSYM_SPECIAL },
{FSYM_AUX },
{FSYM_LISTEND}
};

void main()
{
	sed_type sed;
	sfile_type sfile;

	/* Initialize the display */
	disp_Init(def_ModeText, NULL);

	sfile = sfile_Open("test.lnf", my_list);

	/* Load the sed */
	sed = sfile_LoadSed(sfile, "test", SED_ALLOC);

	if (sed != NULL) {
		sed_Repaint(sed);
		sed_Go(sed);
		sed_Close(sed);
	}

	sfile_Close(sfile);
	disp_Close();
}

